Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Stream.h File Reference

`#include "ace/config-all.h"`
`#include "ace/IO_Cntl_Msg.h"`
`#include "ace/Message_Block.h"`
`#include "ace/Module.h"`
`#include "ace/Stream.inl"`
`#include "ace/Stream.cpp"`

Include dependency graph for Stream.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Stream<>
| This class is the primary abstraction for the ASX framework. It is moduled after System V Stream. More...
class | ACE_Stream_Iterator<>
| Iterate through an <ace_stream>. More...

## Detailed Description

Id
  Stream.h,v 4.32 2005/10/28 16:14:56 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@uci.edu>